> ## Documentation Index
> Fetch the complete documentation index at: https://www.artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update pipeline status

> Changes the status of a pipeline (e.g. running, paused). Validates the pipeline before resuming and deploys the configuration change. Pausing a pipeline pauses its source reader, unless the source reader is shared and another pipeline still reads from it; resuming a pipeline resumes its source reader.

`POST /pipelines/{uuid}/status`

## Authorization

* `Authorization` (header): API key passed as a Bearer token in the Authorization header.

## Path parameters

* `uuid` (string, required)

## Body (application/json)

* `status` (string, required): running (Active in the dashboard) resumes source reading and delivery. transfer paused (Delivery paused) stops writing to the destination while the source reader keeps reading. Changes are kept for the Kafka topic's retention, 14 days by default. paused (Paused) pauses source reading and delivery, unless the source reader is shared and another pipeline still reads from it. One of: `draft`, `paused`, `transfer paused`, `running`.

## Example request

```bash
curl --request POST \
  --url https://api.artie.com/pipelines/{uuid}/status \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "status": "draft"
}'
```

## Responses

### 200 OK

* `pipeline` (object, required)
  * `advancedSettings` (object, required)
    * `appendOnly` (boolean)
    * `autoEnableHistoryForNewTables` (boolean)
    * `autoEnableHistoryIgnoreRegex` (string)
    * `autoEnableHistoryIncludeRegex` (string)
    * `autoReplicateIgnoreRegex` (string)
    * `autoReplicateIncludeRegex` (string)
    * `autoReplicateNewTables` (boolean)
    * `backfillMySQLFloatsAsShortestDecimal` (boolean)
    * `bigQueryReservation` (string)
    * `bufferRows` (integer)
    * `castAllColumnsToString` (boolean)
    * `databricksAutoLiquidClustering` (boolean)
    * `databricksDisableVariantShredding` (boolean)
    * `defaultSourceSchema` (string)
    * `disableAlerts` (boolean)
    * `dropDeletedColumns` (boolean)
    * `dynamoDBBackfillConfig` (object)
      * `bucket` (string)
      * `enabled` (boolean)
      * `exportArn` (string)
      * `maxParallelism` (integer)
      * `optionalFolder` (string)
    * `enableSoftDelete` (boolean)
    * `flushIntervalSeconds` (integer)
    * `flushSizeKb` (integer)
    * `forceUTCTimezone` (boolean)
    * `includeArtieOperationColumn` (boolean)
    * `includeArtieUpdatedAtColumn` (boolean)
    * `includeDatabaseUpdatedAtColumn` (boolean)
    * `includeFullSourceTableNameColumn` (boolean)
    * `includeFullSourceTableNameColumnAsPrimaryKey` (boolean)
    * `includeSourceMetadataColumn` (boolean)
    * `jsonAsVarchar` (boolean)
    * `jsonParseTruncateStrings` (boolean)
    * `maxConcurrentSnapshots` (integer)
    * `nullOutInvalidValues` (boolean)
    * `postgresPartitionMirroring` (boolean)
    * `reuseStagingTable` (boolean)
    * `snowpipeStreamingMaxChannels` (integer)
    * `splitEventsByType` (boolean)
    * `stagingSchema` (string)
    * `staticColumns` (object[] | null)
      * `column` (string)
      * `value` (string)
    * `structAsVariant` (boolean)
    * `truncateExceededValues` (boolean)
    * `turboLatencyThresholdMinutes` (integer)
    * `turboRowThreshold` (integer)
    * `turboWarehouse` (string)
    * `useBQBatchPriority` (boolean)
    * `useBigNumericForVariableNumeric` (boolean)
    * `useDoubleForVariableNumeric` (boolean)
    * `useNewStringMethod` (boolean | null)
    * `useSnowpipeStreaming` (boolean)
    * `writeRawBinaryValues` (boolean)
  * `backfillStages` (object[])
    * `error` (string)
    * `rowsWritten` (integer<int64>)
    * `stage` (string, required) One of: `queued`, `snapshotting`, `copying`, `merging`, `done`, `failed`, `cancelled`.
    * `timestamp` (string<date-time>, required)
  * `columnHashingSaltUUID` (string<uuid> | null)
  * `companyUUID` (string<uuid>, required)
  * `createdAt` (string<date-time>, required)
  * `dataPlaneName` (string, required)
  * `destinationUUID` (string<uuid> | null)
  * `encryptionKeyUUID` (string<uuid> | null)
  * `environmentUUID` (string<uuid>, required)
  * `forceFlushUntil` (string<date-time> | null)
  * `hasBackfillingTables` (boolean)
  * `hasUndeployedChanges` (boolean, required)
  * `historyBackfillStages` (object[])
    * `error` (string)
    * `rowsWritten` (integer<int64>)
    * `stage` (string, required) One of: `queued`, `snapshotting`, `copying`, `merging`, `done`, `failed`, `cancelled`.
    * `timestamp` (string<date-time>, required)
  * `icebergNativeEngine` (boolean)
  * `isDeploying` (boolean, required)
  * `lastDeployError` (string)
  * `lastDeployFailedAt` (string<date-time> | null)
  * `lastDeployedAt` (string<date-time> | null)
  * `lastUpdatedAt` (string<date-time>, required)
  * `name` (string, required)
  * `snowflakeEcoScheduleUUID` (string<uuid> | null)
  * `sourceReaderUUID` (string<uuid>)
  * `sourceType` (string, required) One of: `api`, `bigquery`, `clickhouse`, `cockroach`, `databricks`, `documentdb`, `delta`, `dynamodb`, `gcs`, `iceberg`, `kafka`, `keyspaces`, `mongodb`, `motherduck`, `mssql`, `mysql`, `oracle`, `planetscale`, `postgresql`, `redis`, `redshift`, `s3`, `smb_share`, `snowflake`.
  * `specificDestCfg` (object, required)
    * `bucketName` (string)
    * `checkpointInterval` (integer)
    * `compaction` (object)
      * `enabled` (boolean)
      * `everySeconds` (integer)
      * `quietWindow` (object)
        * `end` (string)
        * `start` (string)
    * `containerName` (string)
    * `database` (string)
    * `dynamicallyCreateNamespaces` (boolean)
    * `externalStageName` (string)
    * `externalStageS3Bucket` (string)
    * `externalStageS3Prefix` (string)
    * `folderName` (string)
    * `icebergFormatVersion` (string) One of: `v2`, `v3`.
    * `schema` (string)
    * `schemaNamePrefix` (string)
    * `tableNameSeparator` (string)
    * `useSameSchemaAsSource` (boolean)
  * `status` (string) One of: `draft`, `paused`, `transfer paused`, `running`.
  * `tables` (object[], required)
    * `advancedSettings` (object)
      * `alias` (string)
      * `backfillFromDatabases` (string[] | null)
      * `backfillFromSchemas` (string[] | null)
      * `bigQueryPartitionSettings` (object)
        * `partitionBy` (string)
        * `partitionField` (string)
        * `partitionType` (string)
      * `bufferRows` (integer)
      * `columnsToCompress` (string[])
      * `columnsToEncrypt` (string[])
      * `columnsToHash` (string[])
      * `columnsToTrim` (string[])
      * `ctidSettings` (object)
        * `chunkSize` (integer)
        * `enabled` (boolean)
        * `maxParallelism` (integer)
        * `physicalRanges` (object)
          * `enabled` (boolean)
          * `pagesPerRange` (integer)
      * `encryptJSONBColumns` (boolean)
      * `endingPrimaryKey` (string)
      * `excludeColumns` (string[])
      * `flattenDocuments` (boolean)
      * `flattenDocumentsMaxDepth` (integer)
      * `flushIntervalSeconds` (integer)
      * `flushSizeKb` (integer)
      * `historyTableBackfillFromSchemas` (string[] | null)
      * `includeColumns` (string[])
      * `k8sRequestCPU` (integer)
      * `k8sRequestMemoryMB` (integer)
      * `keepOldSwapTable` (boolean)
      * `mergePredicates` (object[])
        * `partitionBy` (string)
        * `partitionField` (string)
        * `partitionType` (string)
      * `msmFlushCount` (integer)
      * `partitionRangeSettings` (object)
        * `enabled` (boolean)
        * `range` (object)
          * `batchSize` (integer)
          * `chunksSize` (integer)
          * `enabled` (boolean)
          * `maxParallelism` (integer)
      * `previousSwapTableSuffix` (string)
      * `primaryKeysOverride` (string[] | null)
      * `rangeSettings` (object)
        * `batchSize` (integer)
        * `chunksSize` (integer)
        * `enabled` (boolean)
        * `maxParallelism` (integer)
      * `shouldBackfillHistoryTable` (boolean | null)
      * `skipBackfill` (boolean)
      * `skipDelete` (boolean)
      * `skipNoOpUpdates` (boolean)
      * `softPartitioning` (object)
        * `enabled` (boolean)
        * `maxPartitions` (integer)
        * `partitionColumn` (string)
        * `partitionFrequency` (string)
        * `partitionSchema` (string)
      * `startingPrimaryKey` (string)
      * `streamARN` (string)
      * `swapTableSuffix` (string)
      * `unifyAcrossDatabases` (boolean)
      * `unifyAcrossSchemas` (boolean)
    * `backfillStages` (object[])
      * `error` (string)
      * `rowsWritten` (integer<int64>)
      * `stage` (string, required) One of: `queued`, `snapshotting`, `copying`, `merging`, `done`, `failed`, `cancelled`.
      * `timestamp` (string<date-time>, required)
    * `createdAt` (string<date-time>)
    * `destinationTableName` (string)
    * `disableReplication` (boolean, deprecated)
    * `enableHistoryMode` (boolean)
    * `historyBackfillStages` (object[])
      * `error` (string)
      * `rowsWritten` (integer<int64>)
      * `stage` (string, required) One of: `queued`, `snapshotting`, `copying`, `merging`, `done`, `failed`, `cancelled`.
      * `timestamp` (string<date-time>, required)
    * `historyTableStatus` (string)
    * `individualDeployment` (boolean)
    * `name` (string)
    * `schema` (string)
    * `status` (string)
    * `updatedAt` (string<date-time>)
    * `uuid` (string<uuid>)
  * `uuid` (string<uuid>, required)

```json
{
  "pipeline": {
    "advancedSettings": {
      "appendOnly": true,
      "autoEnableHistoryForNewTables": true,
      "autoEnableHistoryIgnoreRegex": "<string>",
      "autoEnableHistoryIncludeRegex": "<string>",
      "autoReplicateIgnoreRegex": "<string>",
      "autoReplicateIncludeRegex": "<string>",
      "autoReplicateNewTables": true,
      "backfillMySQLFloatsAsShortestDecimal": true,
      "bigQueryReservation": "<string>",
      "bufferRows": 123,
      "castAllColumnsToString": true,
      "databricksAutoLiquidClustering": true,
      "databricksDisableVariantShredding": true,
      "defaultSourceSchema": "<string>",
      "disableAlerts": true,
      "dropDeletedColumns": true,
      "dynamoDBBackfillConfig": {
        "bucket": "<string>",
        "enabled": true,
        "exportArn": "<string>",
        "maxParallelism": 0,
        "optionalFolder": "<string>"
      },
      "enableSoftDelete": true,
      "flushIntervalSeconds": 123,
      "flushSizeKb": 123,
      "forceUTCTimezone": true,
      "includeArtieOperationColumn": true,
      "includeArtieUpdatedAtColumn": true,
      "includeDatabaseUpdatedAtColumn": true,
      "includeFullSourceTableNameColumn": true,
      "includeFullSourceTableNameColumnAsPrimaryKey": true,
      "includeSourceMetadataColumn": true,
      "jsonAsVarchar": true,
      "jsonParseTruncateStrings": true,
      "maxConcurrentSnapshots": 0,
      "nullOutInvalidValues": true,
      "postgresPartitionMirroring": true,
      "reuseStagingTable": true,
      "snowpipeStreamingMaxChannels": 123,
      "splitEventsByType": true,
      "stagingSchema": "<string>",
      "staticColumns": [
        {
          "column": "<string>",
          "value": "<string>"
        }
      ],
      "structAsVariant": true,
      "truncateExceededValues": true,
      "turboLatencyThresholdMinutes": 123,
      "turboRowThreshold": 123,
      "turboWarehouse": "<string>",
      "useBQBatchPriority": true,
      "useBigNumericForVariableNumeric": true,
      "useDoubleForVariableNumeric": true,
      "useNewStringMethod": true,
      "useSnowpipeStreaming": true,
      "writeRawBinaryValues": true
    },
    "backfillStages": [
      {
        "error": "<string>",
        "rowsWritten": 123,
        "stage": "queued",
        "timestamp": "2023-11-07T05:31:56Z"
      }
    ],
    "columnHashingSaltUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "companyUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "dataPlaneName": "<string>",
    "destinationUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "encryptionKeyUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "environmentUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "forceFlushUntil": "2023-11-07T05:31:56Z",
    "hasBackfillingTables": true,
    "hasUndeployedChanges": true,
    "historyBackfillStages": [
      {
        "error": "<string>",
        "rowsWritten": 123,
        "stage": "queued",
        "timestamp": "2023-11-07T05:31:56Z"
      }
    ],
    "icebergNativeEngine": true,
    "isDeploying": true,
    "lastDeployError": "<string>",
    "lastDeployFailedAt": "2023-11-07T05:31:56Z",
    "lastDeployedAt": "2023-11-07T05:31:56Z",
    "lastUpdatedAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "snowflakeEcoScheduleUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "sourceReaderUUID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "sourceType": "api",
    "specificDestCfg": {
      "bucketName": "<string>",
      "checkpointInterval": 123,
      "compaction": {
        "enabled": true,
        "everySeconds": 123,
        "quietWindow": {
          "end": "<string>",
          "start": "<string>"
        }
      },
      "containerName": "<string>",
      "database": "<string>",
      "dynamicallyCreateNamespaces": true,
      "externalStageName": "<string>",
      "externalStageS3Bucket": "<string>",
      "externalStageS3Prefix": "<string>",
      "folderName": "<string>",
      "icebergFormatVersion": "v2",
      "schema": "<string>",
      "schemaNamePrefix": "<string>",
      "tableNameSeparator": "<string>",
      "useSameSchemaAsSource": true
    },
    "status": "draft",
    "tables": [
      {
        "advancedSettings": {
          "alias": "<string>",
          "backfillFromDatabases": [
            "<string>"
          ],
          "backfillFromSchemas": [
            "<string>"
          ],
          "bigQueryPartitionSettings": {
            "partitionBy": "<string>",
            "partitionField": "<string>",
            "partitionType": "<string>"
          },
          "bufferRows": 123,
          "columnsToCompress": [
            "<string>"
          ],
          "columnsToEncrypt": [
            "<string>"
          ],
          "columnsToHash": [
            "<string>"
          ],
          "columnsToTrim": [
            "<string>"
          ],
          "ctidSettings": {
            "chunkSize": 0,
            "enabled": true,
            "maxParallelism": 0,
            "physicalRanges": {
              "enabled": {},
              "pagesPerRange": {}
            }
          },
          "encryptJSONBColumns": true,
          "endingPrimaryKey": "<string>",
          "excludeColumns": [
            "<string>"
          ],
          "flattenDocuments": true,
          "flattenDocumentsMaxDepth": 0,
          "flushIntervalSeconds": 123,
          "flushSizeKb": 123,
          "historyTableBackfillFromSchemas": [
            "<string>"
          ],
          "includeColumns": [
            "<string>"
          ],
          "k8sRequestCPU": 0,
          "k8sRequestMemoryMB": 0,
          "keepOldSwapTable": true,
          "mergePredicates": [
            {
              "partitionBy": {},
              "partitionField": {},
              "partitionType": {}
            }
          ],
          "msmFlushCount": 0,
          "partitionRangeSettings": {
            "enabled": true,
            "range": {
              "batchSize": {},
              "chunksSize": {},
              "enabled": {},
              "maxParallelism": {}
            }
          },
          "previousSwapTableSuffix": "<string>",
          "primaryKeysOverride": [
            "<string>"
          ],
          "rangeSettings": {
            "batchSize": 0,
            "chunksSize": 0,
            "enabled": true,
            "maxParallelism": 0
          },
          "shouldBackfillHistoryTable": true,
          "skipBackfill": true,
          "skipDelete": true,
          "skipNoOpUpdates": true,
          "softPartitioning": {
            "enabled": true,
            "maxPartitions": 123,
            "partitionColumn": "<string>",
            "partitionFrequency": "<string>",
            "partitionSchema": "<string>"
          },
          "startingPrimaryKey": "<string>",
          "streamARN": "<string>",
          "swapTableSuffix": "<string>",
          "unifyAcrossDatabases": true,
          "unifyAcrossSchemas": true
        },
        "backfillStages": [
          {
            "error": "<string>",
            "rowsWritten": 123,
            "stage": "queued",
            "timestamp": "2023-11-07T05:31:56Z"
          }
        ],
        "createdAt": "2023-11-07T05:31:56Z",
        "destinationTableName": "<string>",
        "disableReplication": true,
        "enableHistoryMode": true,
        "historyBackfillStages": [
          {
            "error": "<string>",
            "rowsWritten": 123,
            "stage": "queued",
            "timestamp": "2023-11-07T05:31:56Z"
          }
        ],
        "historyTableStatus": "<string>",
        "individualDeployment": true,
        "name": "<string>",
        "schema": "<string>",
        "status": "<string>",
        "updatedAt": "2023-11-07T05:31:56Z",
        "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      }
    ],
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}
```

### 400 Bad Request

### 403 Forbidden

### 409 Conflict

### 500 Internal Server Error